'************************************************
' File:   UCase.vbs (WSH-Beispiel in VBScript) 
' Autor:  Gnter Born
'
' Konvertiert Datei- und Ordnernamen in Grossbuchstaben.
' Untersttzt Drag & Drop.
'************************************************
Option Explicit

' Hier wird die Konvertierrichtung gesetzt.
Const xCase = true  ' Grossbuchstaben
'Const xCase = false ' Kleinbuchstaben
Const Title = "Lowercase-Konverter - by G. Born"

Dim objArgs, param, i

' Versuche, Argumente zu lesen
Set objArgs = Wscript.Arguments    ' erzeuge Objekt
If objArgs.Count < 1 Then  ' keine Argumente, Ende
 MsgBox "Sorry, keine Argumente gefunden!" & vbCRLF & _
        "Bitte Datei oder Ordner angeben oder auf Skript ziehen.", _
        vbInformation + vbOkOnly, Title
  WScript.Quit  ' Ende
End if

i = 0
' Versuche die Namen in Grossbuchstaben zu konvertieren
For Each param In objArgs
 If MakeCase (param, xCase) Then i = i + 1
Next

MsgBox i & " Objekt(e) konvertiert", vbInformation + vbOkOnly, Title
WScript.Quit             ' Fertig

Function MakeCase (file, caseFlag)
Dim fso, oFile, path, name
 Set fso = CreateObject("Scripting.FileSystemObject")
 If fso.FileExists(file) then
  Set oFile = fso.GetFile(file)
 Else
  If fso.FolderExists(file) then
   Set oFile = fso.GetFolder(file)
  Else
   MakeCase = false   ' kein FileSystemObject Objekt
   Exit Function
  End If
 End if

 name = fso.GetFilename(file)
 path = fso.GetParentFolderName(file)

 If caseFlag Then
  oFile.Move path & "\" & Ucase(name)
 Else
  oFile.Move path & "\" & Lcase(name)
 End If
 Set fso = Nothing
 MakeCase = true
End Function
' Ende